mfont_list_family_names(3m17n)

NAME
mfont_list_family_names - Get a list of font famiy names.

SYNOPSIS
MPlist* mfont_list_family_names (MFrame * frame)

DESCRIPTION
Get a list of font famiy names.

The mfont_list_family_names() functions returns a list of font family names available on frame frame.

RETURN VALUE

This function returns a plist whose keys are Msymbol and values are symbols representing font family names. The elements are sorted by alphabetical order. The plist must be freed by m17n_object_unref(). If not font is found, it returns NULL.

COPYRIGHT
Copyright (C) 2001 Information-technology Promotion Agency (IPA)
Copyright (C) 2001-2008 National Institute of Advanced Industrial Science and Technology (AIST)
Permission is granted to copy, distribute and/or modify this document under the terms of the GNU Free Documentation License <http://www.gnu.org/licenses/fdl.html>.